Archiv - Kategorie: “Wordpress”


veröffentlicht: November 25th, 2008

WordPress 2.6.5 veröffentlicht

WordPress 2.6.5 ist ab sofort verfügbar!

Während die halbe Welt (oder mehr) sehnsüchtig mit einem Auge auf die Veröffentlichung von WordPress 2.7 schielt, ist heute eine vorgeschobene Version erschienen die ein Sicherheitsproblem und drei kleinere Bugs behebt.

Ein Upgrade auf die Version WordPress 2.6.5 wird, wie immer, empfohlen.

Änderungen wurden in insgesamt fünf Dateien vorgenommen. Da es sich jeweils um nur wenige Zeilen Code handelt, kann man sich die komplette Upgrade Prozedur sparen und die neuen Zeilen einfach per Copy & Past ersetzen.

Und hier sind alle geänderten Dateien zwischen 2.6.3 und 2.6.5

veröffentlicht: November 16th, 2008

WordPress 2.7 Beta 3 freigegeben.

Vor wenigen Stunden wurde die dritte Beta-Version von WordPress 2.7 veröffentlicht.

WordPress 2.7 Beta 3 kommt mit zahlreichen Verbesserungen und Verfeinerungen. Insgesamt wurden über 160 Veränderungen seit der Beta 2 vorgenommen.

Einzelheiten zu den Änderungen und den neuesten Download Link, wie immer HIER

veröffentlicht: November 7th, 2008

WordPress 2.7 Beta 2

WordPress 2.7 Beta 2 ist fertig.

Wer sich einen Überblick über die Änderungen seit der erst kürzlich veröffentlichen Beta 1 machen will, findet alle Infos HIER

veröffentlicht: November 1st, 2008

WordPress 2.7 Beta 1

Sei heute ist die erste öffentliche Beta Version von WordPress 2.7 verfügbar. Neben den vielen Änderungen gegenüber der Vorgängerversion fällt vor allem das neue visuelle Design ins Auge. Dieses Design ist fast vollständig umgesetzt, allerdings gibt es ein paar Bereiche die noch nicht ganz fertig sind, was aber nichts Ungewöhnliches für eine Beta Version ist. Es gibt derzeit auch noch einige Probleme in bestimmten Browsern. WordPress 2.7 Beta 1 läuft in diesem Stadium am Besten in Firefox und Safari. Bis zur endgültigen Freigabe wird aber ein problemloses arbeiten mit allen anderen gängigen Browsern möglich sein. mehr…»

veröffentlicht: October 24th, 2008

WordPress 2.6.3 Sicherheitsrelease – Security fix

Es wurde eine Sicherheitslücke in WordPress 2.6.2 entdeckt die, obwohl als eher gering eingestuft, unter Umständen Zugriffe auf den RootServer zulässt. Die Schwachstelle wurde in der Bibliothek Snoopy entdeckt. WordPress nutzt Snoopy um die Feeds im Dashboard einzubinden.

Ein Update wird dringend empfohlen.

Die geänderte deutschsprachige Version, sowie ein Upgradepaket ist ab sofort verfügbar.

Download WordPress 2.6.3 DE-Edition
Upgradepaket für 2.6.2 auf 2.6.3

Geändert wurden 2 Dateien:

wp-includes/class-snoopy.php
wp-includes/version.php

Um die Sicherheitslücke zu schließen ist es allerdings nicht unbedingt erforderlich ein komplettes Update vorzunehmen. Es reicht aus wenn man die beiden nachfolgenden Dateien über die bestehende WordPress 2.6.2 Installation kopiert, bzw. einfach austauscht.

wp-includes/class-snoopy.php
wp-includes/version.php